org.eclipse.wst.jsdt.jsdoc

## Class XmlBasedSource

- java.lang.Object
- - org.eclipse.wst.jsdt.jsdoc.XmlBasedSource

All Implemented Interfaces:
  IJsDocSource

Direct Known Subclasses:
  IeFromMsdn

    public abstract class XmlBasedSource
    extends java.lang.Object
    implements IJsDocSource

### Constructor Summary

Constructors
Constructor and Description
`XmlBasedSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getUrl()`
`java.lang.String` `getXsl()`
`java.lang.String` `pageToString()`
`java.lang.String` `toString()`
`java.lang.String` `toStringObjectTree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.wst.jsdt.jsdoc.IJsDocSource

`getTopObjects`

### Constructor Detail

#### XmlBasedSource

    public XmlBasedSource()

### Method Detail

#### toStringObjectTree

    public java.lang.String toStringObjectTree()

#### getXsl

    public java.lang.String getXsl()

#### getUrl

    public java.lang.String getUrl()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### pageToString

    public java.lang.String pageToString()